Skip to main content
GET
/
v0
/
topics
/
{topic_id}
Get topic
curl --request GET \
  --url https://api.tryarchitect.com/v0/topics/{topic_id} \
  --header 'x-api-key: <api-key>'
{
  "topicId": "<string>",
  "title": "<string>",
  "purpose": "<string>",
  "sortOrder": 123,
  "isDefault": true,
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "entries": [
    {
      "topicEntryId": "<string>",
      "topicId": "<string>",
      "sortOrder": 123,
      "content": {
        "type": "<string>",
        "content": "<string>"
      },
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Path Parameters

topic_id
string
required

topic_id parameter

Response

Topic created successfully

topicId
string
required
title
string
required
purpose
string | null
required
sortOrder
number
required
isDefault
boolean
required
createdAt
string
required
Pattern: ^\+[1-9]\d{1,14}$
updatedAt
string
required
Pattern: ^\+[1-9]\d{1,14}$
entries
object[]
required